Update Request Recipient function

This method updates details for a LCS request recipient.
API function usage type: HigherLevel

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

HTTP Request

Request Content-Type: application/json

JSON BODY PARAMS - name and value pairs description:

  • request_id: LCS request identifier to update; Value of "request_id" or "unique_submit_id". JSON Data Type: String
  • request_id_type (optional): Type of LCS identifier for "request_id" field; Values: "request_id" or "unique_submit_id"; Default value: "request_id"; JSON Data Type: String
  • recipient_email: email address of the recipient to update; Value: String
  • update_field_name: update field name; Value: Sting
  • update_field_value: update field value; Value: value of updated field name of recipient

Valid update_field_name values for an LCS request recipient are: firstname (UTF-8 characters, max 75 characters), lastname (UTF-8 characters, max 75 characters), email, code_delivery, phone, company, return_url, signature_visual, sms_request_delivery (see Create Request function - recipient JSON object, for possible update_field_value parameter values; sms_request_delivery value can be set only to JSON boolean false).

Exemples of JSON for Update Request Recipient

Example of HTTP Request JSON Body data for update recipient firstname:

{
	"request_id": "02GB0G",
	"request_id_type": "request_id",
	"recipient_email": "[email protected]",
	"update_field_name": "firstname",
	"update_field_value": "New Firstname"
}
Body Params

Update Request Recipient object

string
required

id queried by requester request_id or unique_submit_id

string
enum
Defaults to request_id

type id queried by requester

Allowed:
string
required

email address of the recipient to update

string

unique id of recipient associated to the recipient to update

string
enum
required

update field name

string
required

update field value

Headers
string
required
Defaults to your developer_key

web service developer key

string
required
Defaults to your authorization_token

token from authentication

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json